#!/bin/sh

# This is a shell script fragment (i.e., intended to be .'d in) that
# ensure that the current directory is checked out.  If the directory
# is not checked out, it prompts the user to see if s/he wants to 
# check it out.

DIR_TYPE="`cleartool describe -fmt '%m' .`"
if [ "$DIR_TYPE" != "directory version" ]; then
    # TRANSLATE quoted string after -prompt switch
    clearprompt proceed -type error -mask abort -default abort \
		-prompt "ߤΥǥ쥯ȥ VOB ǥ쥯ȥǤ\
ޤ󡣤ϼ¹ԤǤޤ"
    exit 1
fi

DIR_CO="`cleartool lscheckout -cview -short -directory .`"
if [ "$DIR_CO" = "" ]; then
    # TRANSLATE quoted string after -prompt switch
    clearprompt yes_no \
            -type warning -def yes -mask yes,no \
            -prompt "\
¹ԤˤώߤΥǥ쥯ȥ꤬åȤƤɬפޤ 
ǥ쥯ȥϥåȤƤޤ󡣺åȤޤ?" 
    if [ $? != 0 ]; then
        exit 1
    fi

    cleargui checkout .
    # cleargui checkout's status value is the number of successful checkouts
    if [ $? != 1 ]; then
        exit 1
    fi
fi

exit 0
